<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_6596b8f6a4969f9a" . "3f6a1b22b90e9331" => base64_decode("c3ByaW50" . "Zg=="), "_5a13027a56ff426a1880" . "6baf1e53ce74" => base64_decode("Q29uZmlnV" . "mFsdWUgJw" . "=="), "_490fedd0c33685bd3a92a23dfbdbe3" . "8c" => base64_decode("JyBDb25maWdWYWx1ZSB0by" . "BzdHJpbmc="), "_3758af61703edea" . "17ee38fab15f99b5" . "6" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4g" . "aW5zdGFuY2Ugb2YgV3JpdGFibGVDb25maWc="), "_835783a340b626fa250ac" . "e4c8d8249f7" => base64_decode("VW5hYmx" . "lIHRvIG" . "Nhc3QgJ" . "w=="), "_44b97fb00c" . "5dc6204a2e8" . "b46429ce109" => base64_decode("aXNfc3RyaW5nYWJsZQ" . "=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_5a13027a56ff426a18806" . "baf1e53ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3758af61703edea17ee" . "38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_44b97fb00c5dc6204a2e8b46429ce10" . "9"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_835783a" . "340b626f" . "a250ace4" . "c8d8249f" . "7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_490fedd0c33685bd3a92a23dfbdbe3" . "8c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_6596b8f6a4969f9a3" . "f6a1b22b90e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}